<?php

include 'api.php';


// ARGUMENTOS : SIP DID
if (isset($argv[1]) && isset($argv[2])) {

    $result = $magnusBilling->create('diddestination', [
        'id_user' => $magnusBilling->getId('user', 'username', $argv[1]),
        'id_sip' => $magnusBilling->getId('sip', 'name', $argv[1]),
        'id_did' => $magnusBilling->getId('did', 'DID', $argv[2]),
        'voip_call' => '1'
    ]);
    
    if ($result['success'] == 1) {
        print("[201] OK id=" . $result['rows'][0]['id']);
    } else {
        print_r($result);
        print("[409] ERROR Ya existe una cuenta con mismo usuario.");
    }

} else {
    print("[404] ERROR No se han introducido todos los parámetros necesarios.");
}
